Subject: bug#65805: 30.0.50; quoted-insert doesn't work in zap-to-char

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2023 14:44:12 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 10 Sep 2023 19:14:34 -0400
> 
> >> > That's because we switched to using read-from-minibuffer (via
> >> > read-char-from-minibuffer) instead of using read-char, for the dubious
> >> > benefit of being able to use history in this command, see bug#10477.
> >> > And read-from-minibuffer interprets some characters specially.
> >> > Stefan, is there a way to have this cake and eat it, too?
> >> How 'bout the patch below?
> 
> Had a missing `nil`.
> 
> > Is this appropriate for emacs-29?
> 
> It looks fairly safe, but is it a regression in Emacs-29 or was it
> already there in Emacs-28?

It was already in Emacs 28.

> If it's not a regression in Emacs-29, I'd keep it in `master`.

OK, then please install on master and close this bug when you do.

> >> AFAICT it would also make it unnecessary to use
> >> `read-char-from-minibuffer-insert-char`.
> > Not sure I understand what are you proposing here about that function.
> 
> `read-char-from-minibuffer-insert-char` is a function which just inserts
> a char and then exits the minibuffer.  With my patch,
> `self-insert-command` should work as well for that.

I'm okay with making such a change, but we'd probably need a
compatibility shim if we do that?  So maybe it isn't worth the hassle,
just make read-char-from-minibuffer-insert-char obsolete?